use std::collections::HashMap;

use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Build {
    pub build_script: String,
    pub install_script: String,
    pub dependencies: HashMap<String, String>,
}

impl Default for Build {
    fn default() -> Self {
        Build {
            dependencies: HashMap::default(),
            build_script: String::default(),
            install_script: String::default()
        }
    }
}